# Create a new User in system. Use this endpoint to create a new user account in the system. You must have User Management role privilege and Security Template Management role privilege in order to create a user and assign groups. This endpoint can be used to create local or federated users. Endpoint: POST /user Version: 1.0 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `AccessToken` (string, required) JWT token provided by Authentication Token creation operation. ## Request fields (application/json): - `firstName` (string) First Name of the User. Example: "John" - `lastName` (string) Last Name of the User. Example: "Wick" - `friendlyName` (string) Friendly Name of the User. Example: "john.wick" - `email` (string) Email of the User. Example: "john.wick@tenovos.com" - `username` (string) Username of the User. Example: "john.wick" - `password` (string) Password of the User. Example: "sdhg&uuUz78u" - `accountType` (string) Account Type of the User. Enum: "local", "federated" - `customAttributes` (object) - `customAttributes.country` (string) Country of User Example: "USA" - `customAttributes.company` (string) Company of User Example: "Tenovos" - `customAttributes.phone` (string) Phone of User - `customAttributes.contact` (string) Contact of User - `userRoleId` (string) Account Type of the User. Example: "1401df5e-3f13-4c88-a5a8-de64f6227a03" - `groups` (array) List of group IDs that user belongs to Example: ["7d6207c0-f423-11e9-8071-89c0c4052141"] ## Response 200 fields (application/json): - `roleId` (string) User role ID Example: "7d5620e0-f423-11e9-8071-89c0c4052141" - `status` (string) User account status Example: "success" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)